echo off

rem
rem Sample BAT to select an action based on EMS status
rem EMSVER returns errorlevels as follows:
rem     0   No EMS
rem     1   "Standard" (pre-4.0) EMS
rem     2   Enhanced EMS (EEMS)
rem     3   LIM 4.0 EMS
rem   255   EMS manager error
rem Remember that you must test errorlevels from highest to lowest
rem
rem EMSVER by Christopher J. Dunford/The Cove Software Group
rem PO Box 1072, Columbia MD 21044    
rem Phone 301/992-9371 (voice only)
rem CompuServe 76703,2002
rem
rem Released to public domain 10/11/88
rem

emsver
if errorlevel 255 goto emserr
if errorlevel 3 goto lim4
if errorlevel 2 goto eems
if errorlevel 1 goto ems

rem Errorlevel 0 = no EMS present
echo No EMS is present
goto exit

:ems
echo Standard EMS present
goto exit

:eems
echo Enhanced EMS (EEMS) present
goto exit

:lim4
echo LIM4 EMS present

:exit
